Bug 725139 - Review Request: lastuser - User management application
Summary: Review Request: lastuser - User management application
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 724006 724864 724869
TreeView+ depends on / blocked
 
Reported: 2011-07-23 05:02 UTC by Praveen Kumar
Modified: 2013-01-10 23:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-10 23:18:42 UTC
Type: ---
pj.pandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Praveen Kumar 2011-07-23 05:02:59 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/lastuser/python-lastuser.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/lastuser/python-lastuser-0.1-1.20110722git584fe0.fc15.src.rpm
Description: User management is a pain. There's no need to write new user management code for each new app to do basic things like logging in, managing the profile and verifying email addresses. Setup one LastUser instance for all your apps and defer all user management to it. Use the API to integrate with your app.

Comment 1 pjp 2011-07-23 07:48:29 UTC
[X] Package name - ok.
[X] Package group - ok.
[?] Package license

   - the source tarball does not have license text copy. Please write to the upstream and request them to add a LICENSE/COPYING file to the source.

[?] Build requires following packages to be installed. Please add them to the SPEC file.

  - BuildRequire: python-flask-mail
  - BuildRequire: python-flask-webassets
  - BuildRequire: python-wtforms
  - BuildRequire: python-flask-wtf
  - BuildRequire: pytz


[X ]$ rpmlint SPECS/python-lastuser.spec 
SPECS/python-lastuser.spec: W: invalid-url Source0: lastuser-0.1.20110722git584fe0.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

  - ok.

[X] $ rpmlint SRPMS/python-lastuser-0.1-1.20110722git584fe0.fc14.src.rpm 
python-lastuser.src: W: invalid-url Source0: lastuser-0.1.20110722git584fe0.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - ok.

[X] $ rpmlint RPMS/noarch/python-lastuser-0.1-1.20110722git584fe0.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] Install/Uninstall - ok.

Comment 2 Rahul Sundaram 2011-07-23 22:34:34 UTC
rename to lastuser.  apparently this doesn't function as a module at all

Comment 3 Praveen Kumar 2011-07-24 02:10:28 UTC
Renamed.Added licence file and buildrequire.
Spec URL: http://kumarpraveen.fedorapeople.org/lastuser/lastuser.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/lastuser/lastuser-0.1-2.20110724gitf41a49.fc15.src.rpm

Comment 4 pjp 2011-07-25 05:41:10 UTC
[?] Spec file has the same ChangeLog message.

Comment 5 Praveen Kumar 2011-07-25 15:15:09 UTC
(In reply to comment #4)
> [?] Spec file has the same ChangeLog message.

Sorry, my mistake.
Spec URL: http://kumarpraveen.fedorapeople.org/lastuser/lastuser.spec
SRPM URL:http://kumarpraveen.fedorapeople.org/lastuser/lastuser-0.1-2.20110724gitf41a49.fc15.src.rpm

Comment 6 pjp 2011-07-26 05:15:58 UTC
[X] Package name - ok.
[X] Package group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X ]$ rpmlint SPECS/lastuser.spec 
SPECS/lastuser.spec: W: invalid-url Source0: lastuser-0.1.20110724gitf41a49.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

  - ok.

[X] $ rpmlint SRPMS/lastuser-0.1-2.20110724gitf41a49.fc14.src.rpm 
lastuser.src: W: invalid-url Source0: lastuser-0.1.20110724gitf41a49.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - ok.

[X] $ rpmlint RPMS/noarch/lastuser-0.1-2.20110724gitf41a49.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] Install/Uninstall - ok.

Comment 7 pjp 2011-07-26 05:16:37 UTC
Approved.

Comment 8 Praveen Kumar 2011-07-26 08:02:47 UTC
New Package SCM Request
=======================
Package Name: lastuser
Short Description: User management application
Owners: sundaram pjp kumarpraveen
Branches: f14 f15 el6

Comment 9 Gwyn Ciesla 2011-07-26 10:07:22 UTC
Git done (by process-git-requests).

Comment 10 François Cami 2013-01-10 23:18:42 UTC
Built and shipped. Closing.


Note You need to log in before you can comment on or make changes to this bug.